Orxonox: orxonox::SynchronisableVariableBidirectional< T > Class Template Reference

# orxonox::SynchronisableVariableBidirectional< T > Class Template Reference

`#include <src/network/synchronisable/SynchronisableVariable.h>`

Inheritance diagram for orxonox::SynchronisableVariableBidirectional< T >:

List of all members.

## Public Member Functions

virtual uint32_t | getData (uint8_t *&mem, uint8_t mode)
virtual uint8_t | getMode ()
virtual uint32_t | getSize (uint8_t mode)
virtual void | putData (uint8_t *&mem, uint8_t mode, bool forceCallback=false)
| SynchronisableVariableBidirectional (T &variable, uint8_t master=Bidirectionality::ServerMaster, NetworkCallbackBase *cb=0)
virtual | ~SynchronisableVariableBidirectional ()

## Private Attributes

T | varBuffer_
uint8_t | varReference_

### template<class T>
class orxonox::SynchronisableVariableBidirectional< T >

## Constructor & Destructor Documentation

template<class T>

orxonox::SynchronisableVariableBidirectional< T >::SynchronisableVariableBidirectional | ( | T & | variable,
|  | uint8_t | master = `Bidirectionality::ServerMaster`,
|  | NetworkCallbackBase * | cb = `0` |
| ) |  |  | `[inline]`

template<class T>

orxonox::SynchronisableVariableBidirectional< T >::~SynchronisableVariableBidirectional | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T>

uint32_t orxonox::SynchronisableVariableBidirectional< T >::getData | ( | uint8_t *& | mem,
|  | uint8_t | mode |
| ) |  |  | `[inline, virtual]`

Reimplemented from orxonox::SynchronisableVariable< T >.

References orxonox::SynchronisableVariableBidirectional< T >::getSize(), orxonox::SynchronisableVariable< T >::mode_, orxonox::saveAndIncrease(), orxonox::SynchronisableVariableBidirectional< T >::varBuffer_, orxonox::SynchronisableVariable< T >::variable_, and orxonox::SynchronisableVariableBidirectional< T >::varReference_.

template<class T>

virtual uint8_t orxonox::SynchronisableVariableBidirectional< T >::getMode | ( |  | ) | `[inline, virtual]`

Reimplemented from orxonox::SynchronisableVariable< T >.

template<class T>

uint32_t orxonox::SynchronisableVariableBidirectional< T >::getSize | ( | uint8_t | mode | ) | `[inline, virtual]`

Reimplemented from orxonox::SynchronisableVariable< T >.

References orxonox::returnSize(), orxonox::SynchronisableVariable< T >::variable_, and orxonox::SynchronisableVariableBidirectional< T >::varReference_.

Referenced by orxonox::SynchronisableVariableBidirectional< T >::getData(), and orxonox::SynchronisableVariableBidirectional< T >::putData().

template<class T>

void orxonox::SynchronisableVariableBidirectional< T >::putData | ( | uint8_t *& | mem,
|  | uint8_t | mode,
|  | bool | forceCallback = `false` |
| ) |  |  | `[inline, virtual]`

Reimplemented from orxonox::SynchronisableVariable< T >.

References orxonox::SynchronisableVariable< T >::callback_, orxonox::checkEquality(), orxonox::SynchronisableVariableBidirectional< T >::getSize(), orxonox::loadAndIncrease(), orxonox::SynchronisableVariable< T >::mode_, orxonox::KeyCode::T, orxonox::NetworkCallbackManager::triggerCallback(), orxonox::SynchronisableVariableBidirectional< T >::varBuffer_, orxonox::SynchronisableVariable< T >::variable_, and orxonox::SynchronisableVariableBidirectional< T >::varReference_.

## Member Data Documentation

template<class T>

T orxonox::SynchronisableVariableBidirectional< T >::varBuffer_`[private]`

Referenced by orxonox::SynchronisableVariableBidirectional< T >::getData(), and orxonox::SynchronisableVariableBidirectional< T >::putData().

template<class T>

uint8_t orxonox::SynchronisableVariableBidirectional< T >::varReference_`[private]`

Referenced by orxonox::SynchronisableVariableBidirectional< T >::getData(), orxonox::SynchronisableVariableBidirectional< T >::getSize(), and orxonox::SynchronisableVariableBidirectional< T >::putData().

The documentation for this class was generated from the following file:

- src/network/synchronisable/SynchronisableVariable.h